> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chainbase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get NFT transfers by collection

> Get the historical transfer transactions for a specified contract address.



## OpenAPI

````yaml get /v1/nft/transfers
openapi: 3.0.2
info:
  title: 🖼 NFT API
  version: v1.0.0
servers:
  - url: https://api.chainbase.online
    description: production server
security: []
paths:
  /v1/nft/transfers:
    get:
      tags:
        - NFT Transfers
      summary: Get NFT transfers by collection
      description: >-
        Get the historical transfer transactions for a specified contract
        address.
      operationId: GetNFTTransfers
      parameters:
        - description: >-
            chain network id, see [list of
            details](/platform/features/api/web3-api)
          required: true
          schema:
            title: Chain Id
            type: integer
            description: >-
              chain network id, see [list of
              details](/platform/features/api/web3-api)
          example: '1'
          name: chain_id
          in: query
        - description: The address of the NFT contract
          required: false
          schema:
            title: Contract Address
            pattern: ^0[xX]{1}[a-fA-F0-9]{40}$
            type: string
            description: The address of the NFT contract
          example: '0xed5af388653567af2f388e6224dc7c4b3241c544'
          name: contract_address
          in: query
        - description: NFT token id in hex or num string
          required: false
          schema:
            title: Token Id
            type: string
            description: NFT token id in hex or num string
          example: '1'
          name: token_id
          in: query
        - description: A hex string referencing a wallet address
          required: false
          schema:
            title: Address
            pattern: ^0[xX]{1}[a-fA-F0-9]{40}$
            type: string
            description: A hex string referencing a wallet address
          example: '0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045'
          name: address
          in: query
        - description: Inclusive from block number (hex string or int)
          required: false
          schema:
            title: From Block
            type: string
            description: Inclusive from block number (hex string or int)
          name: from_block
          in: query
        - description: Inclusive to block number (hex string, int, or 'latest')
          required: false
          schema:
            title: To Block
            type: string
            description: Inclusive to block number (hex string, int, or 'latest')
          example: latest
          name: to_block
          in: query
        - description: Inclusive start timestamp
          required: false
          schema:
            title: From Timestamp
            type: integer
            description: Inclusive start timestamp
          name: from_timestamp
          in: query
        - description: Inclusive end timestamp
          required: false
          schema:
            title: End Timestamp
            type: integer
            description: Inclusive end timestamp
          name: end_timestamp
          in: query
        - description: The page offset
          required: false
          schema:
            title: Page
            minimum: 1
            type: integer
            description: The page offset
            default: 1
          name: page
          in: query
        - description: The desired page size limit. Less or equal than 100
          required: false
          schema:
            title: Limit
            maximum: 100
            minimum: 1
            type: integer
            description: The desired page size limit. Less or equal than 100
            default: 20
          name: limit
          in: query
        - required: true
          schema:
            title: X-Api-Key
            type: string
            example: demo
          example: demo
          name: x-api-key
          in: header
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ResponseGetNFTTransfers'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorMessage'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorMessage'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorMessage'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorMessage'
        '422':
          description: Unprocessable Entity
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorMessage'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorMessage'
components:
  schemas:
    ResponseGetNFTTransfers:
      title: ResponseGetNFTTransfers
      required:
        - data
      type: object
      properties:
        code:
          title: Code
          type: integer
          default: 0
        message:
          title: Message
          type: string
          default: ok
        data:
          title: Data
          type: array
          items:
            $ref: '#/components/schemas/NFTTransfers'
        next_page:
          title: Next Page
          type: integer
        count:
          title: Count
          type: integer
    ErrorMessage:
      title: ErrorMessage
      required:
        - code
        - message
      type: object
      properties:
        code:
          title: Code
          type: integer
        message:
          title: Message
          type: string
    NFTTransfers:
      title: NFTTransfers
      required:
        - block_number
        - block_timestamp
        - transaction_hash
        - transaction_index
        - log_index
        - from_address
        - to_address
        - operator_address
        - token_id
        - value
      type: object
      properties:
        block_number:
          title: Block Number
          type: integer
        block_timestamp:
          title: Block Timestamp
          type: string
        transaction_hash:
          title: Transaction Hash
          type: string
        transaction_index:
          title: Transaction Index
          type: integer
        log_index:
          title: Log Index
          type: integer
        from_address:
          title: From Address
          type: string
        to_address:
          title: To Address
          type: string
        operator_address:
          title: Operator Address
          type: string
        token_id:
          title: Token Id
          type: string
        value:
          title: Value
          type: string

````